## preprepare 0.4

=== Makefile ===
MODULES = pre_prepare
DATA_built = pre_prepare.sql

PG_CONFIG = pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

SRC      = .
BUILDDIR = /tmp/preprepare
ORIG     = preprepare.orig
DEBIAN   = debian
PACKAGE  = postgresql-8.[34]-preprepare
SOURCE   = preprepare

README.html: README
	asciidoc -a toc README

unsign-deb: prepare
	cd $(BUILDDIR)/$(SOURCE) && debuild -us -uc
	cp $(BUILDDIR)/$(PACKAGE)_* ..
	cp $(BUILDDIR)/$(SOURCE)_* ..

deb: prepare
	cd $(BUILDDIR)/$(SOURCE) && debuild
	cp $(BUILDDIR)/$(PACKAGE)_* ..
	cp $(BUILDDIR)/$(SOURCE)_* ..

prepare:
	-test -d $(BUILDDIR) && rm -rf $(BUILDDIR)
	mkdir -p $(BUILDDIR)/$(SOURCE)
	rsync -Ca --exclude $(DEBIAN) $(SRC)/* $(BUILDDIR)/$(SOURCE)
	rsync -Ca $(BUILDDIR)/$(SOURCE)/ $(BUILDDIR)/$(ORIG)/
	rsync -Ca $(DEBIAN) $(BUILDDIR)/$(SOURCE)

## preprepare 0.5-1

=== Makefile ===
--- 
+++ 
@@ -9,11 +9,11 @@
 BUILDDIR = /tmp/preprepare
 ORIG     = preprepare.orig
 DEBIAN   = debian
-PACKAGE  = postgresql-8.[34]-preprepare
+PACKAGE  = postgresql-?.?-preprepare
 SOURCE   = preprepare
 
-README.html: README
-	asciidoc -a toc README
+README.html: README.asciidoc
+	asciidoc -a toc README.asciidoc
 
 unsign-deb: prepare
 	cd $(BUILDDIR)/$(SOURCE) && debuild -us -uc

=== debian/changelog ===
preprepare (0.5-1) unstable; urgency=low

  * Fix an error with -Werror=format-security, from ubuntu builds (Closes: #647222)

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 31 Oct 2011 21:28:56 +0100

preprepare (0.4-2) unstable; urgency=low

  [ Dimitri Fontaine ]
  * Repackage for 9.1 support (Closes: #639482)

  [ Christoph Berg ]
  * Remove debian/*.dirs, they are not needed.
  * Override dh_auto_install to do nothing, dh_install will take care.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 05 Sep 2011 13:04:51 +0200

preprepare (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/{control, postgresql-8.3*, rules}
     - support only PostgreSQL 8.4, dropping support for 8.3; thanks to Martin
       Pitt for the report; Closes: #559611

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Feb 2010 15:08:52 +0100

preprepare (0.4-1) unstable; urgency=low

  * Better support for GUC options

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 18 Aug 2009 10:02:07 +0200

preprepare (0.3-1) unstable; urgency=low

  * Add support for discard() function
  * Add support for prepare_all('schema.relation'), overriding GUC setting
  * Document those additions

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 18 Jul 2009 23:11:53 +0200

preprepare (0.2-1) unstable; urgency=low

  * Add support for local_preload_libraries and preprepare.at_init = on
    for PostgreSQL 8.4 and following
  * ITP (Closes: #536782)

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 07 Jul 2009 09:58:08 +0200

preprepare (0.1-1) unstable; urgency=low

  * Initial release

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 13 May 2009 16:42:29 +0200

=== debian/control ===
Source: preprepare
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all
Standards-Version: 3.9.2

Package: postgresql-9.1-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.1
Description: Pre Prepare your Statement server side
 The +pre_prepare+ module aims to prepare all your statements as soon as
 possible and in a way that allows client queries not to bother at all and
 just call EXECUTE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

SRCDIR = $(CURDIR)
TARGET = $(CURDIR)/debian/preprepare-%v
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk
.PHONY: debian/control

clean: debian/control

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) $(TARGET) "$(CFLAGS)"
	dh_clean

override_dh_auto_build:
	# build all supported version
	+pg_buildext build $(SRCDIR) $(TARGET) "$(CFLAGS)"

override_dh_auto_install:
	:

orig: debian/control clean
	cd .. && tar czf pre_prepare_$(PKGVERS).orig.tar.gz $(EXCLUDE) preprepare

%:
	dh $@

## preprepare 0.6

=== debian/changelog ===
preprepare (0.6-2) unstable; urgency=medium

  * Add make to the test dependencies.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Jan 2014 17:43:54 +0100

preprepare (0.6-1) unstable; urgency=low

  * New upstream release with 9.3 support. (Closes: #731517)
  * Convert debian/*.docs to dh_installdocs --all.
  * debian/rules: Use "pg_buildext loop".
  * Add myself to Uploaders.
  * Update description to mention PostgreSQL.
  * Add example query to README.*.
  * Run regression tests using autopkgtest.
  * Add watch file.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 Dec 2013 17:23:16 +0100

=== debian/control ===
Source: preprepare
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), postgresql-server-dev-all
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest

Package: postgresql-9.3-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.3
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = $(CURDIR)
TARGET = $(CURDIR)/debian/preprepare-%v
PKGVERS = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk
.PHONY: debian/control
clean: debian/control

override_dh_auto_clean:
	+pg_buildext clean $(SRCDIR) $(TARGET) "$(CFLAGS)"
	$(MAKE) clean

override_dh_auto_build:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-preprepare

override_dh_installdocs:
	dh_installdocs --all README.asciidoc

orig: debian/control clean
	cd .. && tar czf preprepare_$(PKGVERS).orig.tar.gz $(EXCLUDE) preprepare

%:
	dh $@

## preprepare 0.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,17 @@
+EXTENSION = pre_prepare
 MODULES = pre_prepare
-DATA_built = pre_prepare.sql
+DATA = pre_prepare--0.4.sql pre_prepare--unpackaged--0.4.sql
+DATA_built = pre_prepare--0.4.sql
+# use extenstion in 9.1+
+SETUPSQL = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo create_module || echo create_extension)
+REGRESS = $(SETUPSQL) pre_prepare
 
 PG_CONFIG = pg_config
 PGXS = $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
 SRC      = .
+TARGET   = ./build
 BUILDDIR = /tmp/preprepare
 ORIG     = preprepare.orig
 DEBIAN   = debian
@@ -15,15 +21,18 @@
 README.html: README.asciidoc
 	asciidoc -a toc README.asciidoc
 
+pre_prepare--0.4.sql: pre_prepare.sql
+	cp $< $@
+
 unsign-deb: prepare
 	cd $(BUILDDIR)/$(SOURCE) && debuild -us -uc
-	cp $(BUILDDIR)/$(PACKAGE)_* ..
-	cp $(BUILDDIR)/$(SOURCE)_* ..
+	cp $(BUILDDIR)/$(PACKAGE)_* $(TARGET)
+	cp $(BUILDDIR)/$(SOURCE)_*  $(TARGET)
 
 deb: prepare
 	cd $(BUILDDIR)/$(SOURCE) && debuild
-	cp $(BUILDDIR)/$(PACKAGE)_* ..
-	cp $(BUILDDIR)/$(SOURCE)_* ..
+	cp $(BUILDDIR)/$(PACKAGE)_* $(TARGET)
+	cp $(BUILDDIR)/$(SOURCE)_*  $(TARGET)
 
 prepare:
 	-test -d $(BUILDDIR) && rm -rf $(BUILDDIR)

=== debian/changelog ===
preprepare (0.7-3) unstable; urgency=medium

  * Reupload for 9.5.
  * Fix Makefile to install sql files only once.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 21:33:47 +0100

preprepare (0.7-2) unstable; urgency=medium

  * Reupload for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:47:14 +0200

preprepare (0.7-1) unstable; urgency=medium

  * Ship plugin symlink in the package so users don't need to create them
    manually.
  * Use "all" in debian/pgversions.
  * Add Vcs headers.
  * Set team as maintainer.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 24 Jun 2014 14:16:19 +0200

=== debian/control ===
Source: preprepare
Section: database
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~)
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/dimitri/preprepare
Vcs-Git: https://github.com/dimitri/preprepare.git -b debian
XS-Testsuite: autopkgtest

Package: postgresql-9.5-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

## preprepare 0.8

=== debian/changelog ===
preprepare (0.8-1.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-preprepare-source-
    distribution=xenial-10,
    15cf707e1a06b70a5a08f15cdea15518067cd353/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Sat, 24 Sep 2016 19:38:48 +0200

preprepare (0.8-1) unstable; urgency=medium

  * New upstream release with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 18:56:26 +0200

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg18.04+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

preprepare (0.9-6) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 11:57:19 +0200

preprepare (0.9-5) unstable; urgency=medium

  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 20:07:01 +0200

preprepare (0.9-4) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * debian/tests: Simplify.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 20:45:33 +0200

preprepare (0.9-3) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:15:50 +0100

preprepare (0.9-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:52:22 +0200

preprepare (0.9-1) unstable; urgency=medium

  * Team upload to Debian with PostgreSQL 10 support.
  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 13:05:36 +0200

=== debian/control ===
Source: preprepare
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 11), postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://github.com/dimitri/preprepare
Vcs-Git: https://github.com/dimitri/preprepare.git -b debian
XS-Testsuite: autopkgtest

Package: postgresql-10-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

Package: postgresql-11-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

Package: postgresql-12-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

Package: postgresql-13-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

Package: postgresql-14-preprepare
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg20.04+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg21.10+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg22.04+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~),
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/preprepare

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg90+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/preprepare

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg100+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~),
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/dimitri/preprepare

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg110+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg120+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

## preprepare 0.9~20220627.1530-6~1.git532f939.pgdg+1

=== debian/changelog ===
preprepare (0.9~20220627.1530-6~1.git532f939.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:57:19 +0200

## preprepare 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 EXTENSION = pre_prepare
 MODULES = pre_prepare
-DATA = pre_prepare--0.4.sql pre_prepare--unpackaged--0.4.sql
+DATA = pre_prepare--unpackaged--0.4.sql
 DATA_built = pre_prepare--0.4.sql
 # use extenstion in 9.1+
 SETUPSQL = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo create_module || echo create_extension)

=== debian/changelog ===
preprepare (0.9-10) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117337)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 23:52:46 +0200

preprepare (0.9-9) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 14:25:51 +0200

preprepare (0.9-8) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:30:42 +0200

preprepare (0.9-7) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 17:01:49 +0200

=== debian/control ===
Source: preprepare
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Dimitri Fontaine <dim@tapoueh.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Vcs-Browser: https://github.com/dimitri/preprepare
Vcs-Git: https://github.com/dimitri/preprepare.git -b debian
XS-Testsuite: autopkgtest

Package: postgresql-18-preprepare
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: pre prepare your PostgreSQL statements server side
 The pre_prepare module for PostgreSQL aims to prepare all your statements as
 soon as possible and in a way that allows client queries not to bother at all
 and just call EXECUTE.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.asciidoc

override_dh_link:
	set -ex; for v in $(shell pg_buildext supported-versions); do mkdir debian/postgresql-$$v-preprepare/usr/lib/postgresql/$$v/lib/plugins; ln -s ../pre_prepare.so debian/postgresql-$$v-preprepare/usr/lib/postgresql/$$v/lib/plugins; done

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
https://github.com/dimitri/preprepare/tags .*/v(.*).tar.gz
